﻿.no-wrap {
  white-space: nowrap;
}

.tbl-download-icon {
  max-height: 20px;
}

thead {
  background-color: #595755;
  color: white;
}
thead th {
  border: 1px solid rgba(0, 0, 0, 0.1) !important;
}

.page-footer {
  padding-left: 0;
}

/*Custom scroll styles*/
#formio a[ref=fileLink] {
  color: #6dc0ef;
  cursor: pointer;
}
#formio a[ref=fileLink]:hover {
  text-decoration: underline !important;
}

.my-custom-scroll::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

.my-custom-scroll::-webkit-scrollbar {
  width: 10px;
  height: 10px;
  background-color: #f5f5f5;
}

.my-custom-scroll::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #898989;
}

/* Buttons */
.my-custom-scroll::-webkit-scrollbar-button:single-button {
  background-color: #bbbbbb;
  display: block;
  border-style: solid;
  height: 8px;
  width: 10px;
}

/* Up */
.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:decrement {
  border-width: 0 5px 5px 5px;
  border-color: transparent transparent #555555 transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
  border-color: transparent transparent #777777 transparent;
}

/* Down */
.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:increment {
  border-width: 5px 5px 0 5px;
  border-color: #555555 transparent transparent transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:vertical:single-button:increment:hover {
  border-color: #777777 transparent transparent transparent;
}

/* Left */
.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:decrement {
  border-width: 5px 5px 5px 0px;
  border-color: transparent #555555 transparent transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:decrement:hover {
  border-color: transparent #777777 transparent transparent;
}

/* Right */
.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:increment {
  border-width: 5px 0px 5px 4px;
  border-color: transparent transparent transparent #555555;
}

.my-custom-scroll::-webkit-scrollbar-button:horizontal:single-button:increment:hover {
  border-color: transparent transparent transparent #777777;
}

/* login / regester form */
.form-container {
  min-height: 675px;
}

/* modal-dialog */
.iframe-modal-dialog {
  width: 100%;
  max-width: calc(100% - 10px);
  max-height: calc(100% - 10px);
  height: 100%;
  margin: auto;
}

.modal-content {
  width: 100%;
  height: 100%;
}

.bootbox-body, iframe {
  height: 100%;
}

iframe {
  border: none;
}

.iframe-modal-dialog .modal-body {
  padding: 0;
}

.bootbox-close-button {
  position: absolute;
  right: 5px;
  top: 6px;
  width: 20px;
  height: 20px;
  font-size: 17px;
  border-radius: 50%;
  text-shadow: none !important;
}

.bootbox-close-button::hover {
  color: #000;
  text-shadow: none;
}

.close:not(:disabled):not(.disabled):hover, .close:not(:disabled):not(.disabled):focus {
  color: #000;
}

.visible-hidden {
  visibility: hidden;
}

.bootbox.show {
  display: flex !important;
  background-color: rgba(0, 0, 0, 0.7);
}

/* custom table */
.nav-fill .nav-item {
  -webkit-box-flex: 1;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
}

.nav-tabs .nav-link.active {
  background-color: #FFF;
}

/*SaveOn popup*/
.save-on {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.25);
  position: fixed;
  z-index: 5;
  top: 0;
  left: 0;
}

.save-on-container {
  width: 50%;
  height: 35%;
  margin: auto;
}

.save-on-right-section {
  background-color: #F5F6F6;
}

.save-on .files-section {
  padding: 20px;
}

.save-on-title {
  position: relative;
  font-size: 16px;
}

.save-on-title:before {
  content: "";
  display: block;
  position: absolute;
  height: 100%;
  width: 0;
  border: 1px inset hsla(0deg, 0%, 100%, 0.59);
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
}

.top-title {
  font-size: 18px;
}

.sub-title {
  font-size: 14px;
}

.shadow-md {
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.6);
}

.box-btns .btn:hover {
  background-color: #ee9244 !important;
  color: white;
}

.new-folder-input {
  background-color: #f2f2f2;
  background-color: rgb(242, 242, 242);
  outline: 2px solid transparent;
  outline-offset: 2px;
  border-radius: 0.375rem;
  border-width: 1px;
  border-color: transparent;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  line-height: 1.25;
  padding: 1px 5px;
  transition: 0.5s;
  margin-top: 15px;
}

.files-section {
  overflow: auto;
}

/* custom panel */
.custom-panel {
  box-shadow: none !important;
  border: 0 !important;
}

/* general */
.z-50 {
  z-index: 50;
}

/*.shadow-sm {
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0 , 0.05);
}*/
.light-border-color {
  border-color: #f2f2f2 !important;
}

.light-bg-color {
  background-color: #f0f0f0;
}

.bg-main-500 {
  background-color: #e1dfdf;
}

.text-sm {
  font-size: 0.875rem;
}

.font-size-16 {
  font-size: 1rem;
}

.transform {
  --transform-translate-x: 0;
  --transform-translate-y: 0;
  --transform-rotate: 0;
  --transform-skew-x: 0;
  --transform-skew-y: 0;
  --transform-scale-x: 1;
  --transform-scale-y: 1;
  transform: translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));
}

.-rotate-90 {
  --transform-rotate: -90deg;
}

.resize-none {
  resize: none;
}

.h-32 {
  height: 8rem;
}

.rules-params-section .dataTables_wrapper {
  margin-top: -30px;
}

table.dataTable.table-striped > tbody > tr.odd.selected > *, table.dataTable.table-striped > tbody > tr.even.selected > * {
  box-shadow: inset 0 0 0 9999px #5cbaf0;
}

table.dataTable tbody > tr.selected, table.dataTable tbody > tr > .selected {
  box-shadow: none;
}

table.editableTable tbody tr {
  cursor: pointer;
}

.modal.show {
  display: block;
}

.new-input-popup {
  width: 500px;
  box-shadow: -2px 2px 12px 0 rgba(0, 0, 0, 0.54);
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  z-index: 2060;
}

.types-list {
  height: 240px;
}

.overflow-y-scroll {
  overflow-y: scroll;
}

.flex-49 {
  flex-basis: 49%;
}

.border-black {
  border-color: #000 !important;
}

.bg-main-400 {
  background-color: #f2f2f2;
}

.bg-gray-200 {
  background-color: #edf2f7;
}

.add-modal {
  height: auto;
  left: 50%;
  top: 50%;
  width: 500px;
  transform: translateX(-50%) translateY(-50%);
}

.no-scroll {
  overflow: hidden;
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item > .page-link {
  color: wheat;
}

.rule-parameter {
  cursor: pointer;
  margin-bottom: 5px;
}

#addInputTyp:focus, #editInputTyp:focus, #returnType:focus {
  background-color: #f3f3f3;
  border-color: #E5E5E5;
}

.select-checkbox {
  max-width: 10px;
}

table.dataTable tbody td.select-checkbox:before, table.dataTable tbody td.select-checkbox:after, table.dataTable tbody th.select-checkbox:before, table.dataTable tbody th.select-checkbox:after {
  top: 50% !important;
}

.version-model {
  width: 1000px;
}
.version-model .modal-dialog {
  max-width: 100%;
}

.list-model-versions-page .form-holder {
  padding: 20px;
}
.list-model-versions-page #formio {
  margin: auto;
  background: #FFF;
  padding: 25px;
  overflow: auto;
}
.list-model-versions-page .add-modal {
  height: 90% !important;
  width: 90% !important;
}
.list-model-versions-page .custom-scroll {
  /*max-height:500px;*/
  overflow: auto !important;
}

.pdf-download-container {
  gap: 25px;
}

.pdf-box {
  flex-basis: 175px;
  height: auto;
  align-items: center;
  text-align: center;
  border: 1px solid rgba(0, 0, 0, 0.09);
  justify-content: center;
  overflow: hidden;
}
.pdf-box .pdf-box-name {
  padding: 7px 10px;
}

.nots-container {
  gap: 20px;
}

.nots-card {
  flex-basis: 350px;
  border: 1px solid rgba(50, 49, 48, 0.1);
  padding: 15px;
  box-shadow: -1px -1px 20px 0px rgba(0, 0, 0, 0.06);
  min-height: 180px;
}
.nots-card .nots-card-bottom {
  padding-top: 10px;
  margin-top: 10px;
  border-top: 1px solid rgba(50, 49, 48, 0.1);
}
.nots-card .nots-card-bottom-content {
  font-size: 12px;
}
.nots-card.add-nots {
  cursor: pointer;
}
.nots-card.add-nots .plus-text {
  margin: 0;
  font-size: 45px;
  border: 1px solid;
  border-radius: 50%;
  padding: 0px 20px;
  box-shadow: inherit;
}

.open-model img {
  width: 35px !important;
}

.add-nots {
  overflow: visible;
}

.form-textarea {
  height: 135px !important;
  resize: none;
}

div.dataTables_processing > div:last-child > div {
  background-color: #ee9244;
}

/*.ellipsis-loader {
    .lds-ellipsis {
        display: inline-block;
        position: relative;
        width: 80px;
        height: 80px;
    }

    .lds-ellipsis div {
        position: absolute;
        top: 33px;
        width: 13px;
        height: 13px;
        border-radius: 50%;
        background: #fff;
        animation-timing-function: cubic-bezier(0, 1, 1, 0);
    }

    .lds-ellipsis div:nth-child(1) {
        left: 8px;
        animation: lds-ellipsis1 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(2) {
        left: 8px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(3) {
        left: 32px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(4) {
        left: 56px;
        animation: lds-ellipsis3 0.6s infinite;
    }

    @keyframes lds-ellipsis1 {
        0% {
            transform: scale(0);
        }

        100% {
            transform: scale(1);
        }
    }

    @keyframes lds-ellipsis3 {
        0% {
            transform: scale(1);
        }

        100% {
            transform: scale(0);
        }
    }

    @keyframes lds-ellipsis2 {
        0% {
            transform: translate(0, 0);
        }

        100% {
            transform: translate(24px, 0);
        }
    }
}*/
.login-page-container {
  height: 100vh;
}

.login-page-left-content {
  padding: 60px 100px 20px 60px;
}

.login-page-left {
  flex-basis: 500px;
}

.login-page-left-top {
  gap: 100px;
}

.login-page-left-title {
  font-size: 50px;
  font-weight: bold;
  line-height: 1;
}

.login-page-right {
  flex-basis: calc(100% - 500px);
  background: radial-gradient(circle, rgb(255, 255, 255) 6%, rgba(220, 219, 216, 0.7) 90%, rgb(220, 219, 216) 100%);
  position: relative;
  /*height: 100%;*/
}
.login-page-right .login-page-right-background {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: bottom;
  left: 0;
}

.input-icon {
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
}

.login-page-left-subtitle {
  font-size: 14px;
  color: rgb(120, 120, 120);
}

.login-page-left-version {
  font-size: 12px;
}

.login-page-left-copyright {
  font-size: 13px;
  color: rgb(93, 93, 93);
  line-height: 1.2;
  gap: 5px;
}

.user-cercle {
  width: 60px;
  height: 60px;
  background-color: #f6a709;
}

.form-title {
  font-size: 20px;
  padding-top: 10px;
}

.form-input {
  background-color: #eeeeee;
  border: 1px solid #d1d1d1;
  width: 100%;
  padding: 8px 30px;
}

.form-input-container-checkbox {
  gap: 10px;
}

.input-submit {
  background-color: #f6a709;
}

.login-page-right-content {
  position: relative;
  z-index: 10;
  margin: 100px 0 0 150px;
  width: 425px;
}

.login-page-right-title {
  font-size: 40px;
  line-height: 1;
  white-space: nowrap;
}

.login-page-right-btns {
  position: absolute;
  left: 0;
  z-index: 1;
  top: 25%;
}

.btns-semicircle {
  width: 80px;
  height: 70px;
  display: flex;
  padding: 14px;
  padding-left: 5px;
  font-size: 12px;
  align-items: center;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  gap: 4px;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.55);
  cursor: pointer;
}
.btns-semicircle:nth-child(odd) {
  background-color: #f6a709;
}
.btns-semicircle:nth-child(even) {
  background-color: #138dd2;
  color: white;
}

@media (max-width: 1200px) {
  .login-page-left {
    flex-basis: 400px;
  }
  .login-page-right {
    flex-basis: calc(100% - 400px);
  }
  .login-page-left-content {
    padding: 40px 40px 20px 40px;
  }
}
ul:not(.treeRoot) li:last-child.hasSubMenu > .line-hider {
  display: block;
  width: 1px;
  height: calc(100% - 30px);
  background-color: #fff;
  z-index: 1;
  position: absolute;
  top: 16px;
  left: -41px;
}

ul:not(.treeRoot) li:not(:last-child).hasSubMenu > .line-hider {
  display: none;
}

.treeRoot > li:first-of-type::before {
  display: none;
}

.toggle-image {
  background-color: #fff;
  position: absolute;
  top: 4px;
  left: -47px;
  width: 13px;
  height: 13px;
  /*border: 1px solid #c9c9c9;*/
  padding: 2px;
  cursor: pointer;
  z-index: 5;
}

.toggle-image img {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 8px;
}

.file-image {
  left: -5px;
  z-index: 10;
}
.file-image img {
  width: 25px;
}

.file-content .file-image .file-open {
  display: none;
}

.file-content .file-image .file-close {
  display: flex;
}

.file-name {
  z-index: 1;
}

.files-section {
  border-right: 1px solid rgba(0, 0, 0, 0.07);
}

.file-name-text {
  font-size: 12px;
}

.file-content .file-name .increase-image {
  display: flex;
}

.file-content .file-name .decrease-image {
  display: none;
}

.open > .file-content .file-image .file-close {
  display: none;
}

.open > .file-content .file-image .file-open {
  display: flex;
}

.files-section ul,
.files-section li {
  list-style: none;
  margin: 0;
  padding: 0;
  color: #8b8b8b;
}

ul.treeRoot > li ul,
ul.treeRoot > li ul {
  padding-left: 28px;
}

ul.treeRoot ul li,
ul.treeRoot li {
  padding-left: 20px;
  position: relative;
  font-size: 16px;
  line-height: 24px;
}

ul.treeRoot ul li:after,
ul.treeRoot li:after,
ul.treeRoot ul li:last-child:after,
ul.treeRoot li:last-child:after {
  content: "";
  position: absolute;
  top: 12px;
  left: 7px;
  width: 1px;
  height: calc(100% - 35px);
  background: repeating-linear-gradient(to bottom, transparent 0 4px, #c9c9c9 4px 8px) 80%/2px 100% no-repeat;
  z-index: 0;
}

ul.treeRoot ul li:before,
ul.treeRoot li:before {
  content: "";
  position: absolute;
  left: -40px;
  top: 11px;
  width: 35px;
  height: 1px;
  background: repeating-linear-gradient(to left, transparent 0 4px, #c9c9c9 4px 8px) 100% no-repeat;
}

.treeRoot li ul {
  display: none;
}

.treeRoot li ul.activeSubMenu {
  display: block;
}

.hidden {
  display: none;
}

.context-menu {
  position: absolute;
  text-align: center;
  background: #f2f2f2;
  border: 1px solid #595755;
  z-index: 500;
  border-radius: 5px;
}

.context-menu ul {
  padding: 0px !important;
  margin: 0px !important;
  min-width: 100px;
  display: block !important;
  list-style: none;
}

.context-menu ul li {
  padding: 5px !important;
  font-size: 12px !important;
  border-bottom: 1px solid #e9e9e9;
  line-height: normal !important;
  text-align: start;
}
.context-menu ul li:after {
  content: none !important;
}
.context-menu ul li:before {
  content: none !important;
}
.context-menu ul li:last-child {
  border-bottom: none;
}

.context-menu ul li .main-context-option {
  text-decoration: none;
  color: black;
}

.context-menu ul li:hover {
  background: #595755;
}
.context-menu ul li:hover .main-context-option {
  color: #fff;
}

.context-menu a:not([href]):hover {
  color: #fff;
}

.input-structure {
  height: 100%;
}

.context-menu .context-menu-inner {
  display: none !important;
}

.context-menu .context-menu-drop-item:hover .context-menu-inner {
  display: block !important;
  position: absolute;
  left: 100%;
  background: #f2f2f2;
  border: 1px solid #595755;
  top: 0;
  border-radius: 5px;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner .main-context-option {
  color: black;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner li:hover {
  background: #595755;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner li:hover a {
  color: #fff;
}

/*.open .file-content:after {
    content: "";
    position: absolute;
    left: -8px;
    width: 100%;
    height: calc(100% + 10px);
    top: -5px;
    background-color: #f2f2f2;
    z-index: 0;
}*/
